#include <Arduino.h>
#include <WiFi.h>
#include <WebServer.h>
#define LED_PIN 19 //define pin of led
#define WIFI_SSID "ACEBOTT" // set the wifi name of yours
#define WIFI_PASSWORD "12345678"  //set the wifi password of yours
WebServer server(80);  //creat  the web server object

void handleRoot() { // define the callback for '/' route
  server.send(200, "text/plain", "Hello from ESP32 at "+ WiFi.localIP().toString());
}
void test(){  // define the callback for '/Test' route
  server.send(200, "text/plain", "Test_OK");
}
void LED_on() { // define the callback for '/LED_on' route
  digitalWrite(LED_PIN, HIGH);
  server.send(200, "text/plain", "turn on the LED");
}
void LED_off() { // define the callback for '/LED_off' route
  digitalWrite(LED_PIN, LOW);
  server.send(200, "text/plain", "turn off the LED");
}
void setup() {
  Serial.begin(115200);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD); //start the wifi
  while (WiFi.status() != WL_CONNECTED) { // check if wifi is connected
    delay(1000);
    Serial.println(".");
  }
  Serial.print("IP:");
  Serial.println(WiFi.localIP()); //print the ESP32 IP address
  server.on("/", handleRoot); //register the '/' route and set the callback to be executed when this route is accessed.
  server.on("/Test", test);//register the '/Test' route and set the callback to be executed when this route is accessed.
  server.on("/LED_on", LED_on);//register the '/LED_on' route and set the callback to be executed when this route is accessed.
  server.on("/LED_off", LED_off);//register the '/LED_off' route and set the callback to be executed when this route is accessed.
  server.begin();//start the server
  pinMode(LED_PIN, OUTPUT); //set the pin of LED as output mode
}
void loop() {
  server.handleClient();//handle requests from clients
}
