#include <Arduino.h>
#include <WiFi.h>
#include <WebServer.h>
#define LED_PIN 19
#define WIFI_SSID "ACEBOTT-DEV"
#define WIFI_PASSWORD "esp32esp32"
WebServer server(80);

void handleRoot() {
  server.send(200, "text/plain", "Hello from ESP32 at "+ WiFi.localIP().toString());
}
void test(){
  server.send(200, "text/plain", "Test_OK");
}
void LED_on() {
  digitalWrite(LED_PIN, HIGH);
  server.send(200, "text/plain", "turn on the LED");
}
void LED_off() {
  digitalWrite(LED_PIN, LOW);
  server.send(200, "text/plain", "turn off the LED");
}
void setup() {
  Serial.begin(115200);
  WiFi.begin(WIFI_SSID, WIFI_PASSWORD);
  while (WiFi.status() != WL_CONNECTED) {
    delay(1000);
    Serial.println(".");
  }
  Serial.print("IP:");
  Serial.println(WiFi.localIP());
  server.on("/", handleRoot);
  server.on("/Test", test);
  server.on("/LED_on", LED_on);
  server.on("/LED_off", LED_off);
  server.begin();
  pinMode(LED_PIN, OUTPUT);
}
void loop() {
  server.handleClient();
}
